; Contains only Graphic data

goldTile:
	DB 0, 0, 0, 0, 0, 126, 126, 126
	DB 0, 0, 0, 0, 126, 126, 126,0
	DB 0, 0, 0, 0, 0,126, 126, 126
	DB 0, 0, 0, 0, 0, 0, 01111110b, 11111111b

fireTile:
	DEFB	  2,  0, 32,  1,122, 63,118,165	
	DEFB	 64,  0,  0, 10, 50, 59,165,181	
	DEFB	  8,  0,  0, 76, 34,183,213,186	
	DEFB	  0,  2,  0,  2, 50, 55, 53,237	

spritesPixels:
	include "gfx\heroIdle.asm"
	include "gfx\heroLadder.asm"
	include "gfx\heroFall.asm"
	include "gfx\heroLeft.asm"
	include "gfx\heroRight.asm"

	include "gfx\enemyIdle.asm"
	include "gfx\enemyLadder.asm"
	include "gfx\enemyFall.asm"
	include "gfx\enemyLeft.asm"
	include "gfx\enemyRight.asm"
endSprites:

	display /d,"sprites: ",SPRBMPSIZE

;32x8
tilesPixles:
	DB 0, 0, 0, 0, 0, 0, 0, 0			; 00h=Transparent space
	DB 0, 0, 0, 0, 0, 126, 126, 126			; 01h=Gold bars
	DB 66, 255, 0, 66, 66, 255, 0, 66		; 02h=Ladder
	DB 0, 0, 16, 2, 116, 62, 118, 165		; 03h=Fire
	DB 8, 20, 56, 96, 168, 68, 2, 0			; 04h=Pickaxe
	DB 0, 6, 14, 30, 30, 30, 30, 0			; 05h=Round Window, TL
	DB 0, 192, 224, 240, 240, 240, 240, 0		; 06h=Round Window, TR
	DB 30, 30, 30, 30, 30, 30, 30, 0		; 07h=Square Window L
	DB 240, 240, 240, 240, 240, 240, 240, 0		; 08h=Square Window R
	db #00, #00, #00, #08, #1C, #3E, #3E, #3E	; 09h=Impaler
	DB 0, 24, 24, 0, 126, 60, 24, 0			; 0Ah=Down arrow button1
	DB 0, 24, 24, 0, 126, 60, 24, 0			; 0Bh=Down arrow button2
	db #1E, #1E, #1E, #1E, #0E, #06, #00, #00	; 0Ch=Round Window, BL
	db #F0, #F0, #F0, #F0, #E0, #C0, #00, #00	; 0Dh=Round Window, BR
	db #00, #00, #7E, #2C, #7E, #34, #7E, #00 	; 0Eh=3.Small brick
	; Solid tiles
	db #00, #10, #5E, #5E, #10, #7A, #7A, #10	; 0Fh=4.Medium brick
	DB 0, 223, 223, 223, 0, 253, 253, 253		; 10h=5.Normal brick, center
	DB 0, 239, 70, 239, 0, 70, 128, 0		; 11h=Left torch
	DB 0, 255, 102, 255, 0, 255, 0, 0		; 12h=Bridge
	DB 0, 247, 98, 247, 0, 98, 1, 0			; 13h=Right torch
	db #00, #83, #F9, #72, #34, #7E, #00, #00	; 14h=Wall fire bowl
	db #3C, #10, #7E, #FB, #10, #55, #FD, #FD	; 15h=Land mine inactive
	DB 0, 16, 48, 118, 118, 48, 16, 0		; 16h=Left arrow button unused
	DB 0, 8, 12, 110, 110, 12, 8, 0			; 17h=Right arrow button unused
	DB 0, 223, 223, 223, 0, 253, 253, 253		; 18h=Normal brick,border
	DB #00, #00, #DB, #DB, #DB, #00, #00, #00	; 19h=Bridge builder
	DB 0, 16, 48, 118, 118, 48, 16, 0		; 1Ah=Left arrow button used
	DB 0, 8, 12, 110, 110, 12, 8, 0			; 1Bh=Right arrow button used
	db #3C, #10, #7E, #FB, #10, #55, #FD, #FD	; 1Ch=Land mine active
	db #00, #83, #F9, #72, #34, #7E, #24, #7E	; 1Dh=Floor fire bowl
	db #7F,#7F,#6D,#6D,#00,#FF,#7E,#42		; 1Eh=Hero icon
;	db #10, #DF, #DF, #EF, #FF, #FD, #FD, #FE	; 1Fh=Concrete brick
	db #10, #FE, #FD, #FD, #FF, #EF, #DF, #DF	; 1Fh=Concrete brick
	DB 255, 255, 255, 255, 255, 255, 255, 255	; 20h=White space
	DB 255, 255, 255, 255, 255, 255, 255, 255	; 21h=Yellow space
	DB 255, 255, 255, 255, 255, 255, 255, 255	; 22h=Red space
.end:
	
tilesColors:
	DB 16, 16, 16, 16, 16, 0, 16, 16		; 00h=Transparent space
	db #B0, #B0, #B0, #B0, #B0, #F0, #B0, #A0	; 01h=Gold bars 
	db #90, #B1, #B1, #90, #90, #B1, #B1, #90	; 02h=yellow ladder
	db #80, #60, #80, #60, #80, #80, #9B, #8A	; 03h=Fire
	db #E0, #E0, #F0, #F0, #50, #50, #E0, #E0	; 04h=Pickaxe
	db #40, #40, #40, #40, #40, #40, #50, #50	; 05h=Round Window, TL
	db #40, #40, #40, #40, #40, #40, #50, #50	; 06h=Round Window, TR
	db #40, #40, #40, #40, #40, #40, #50, #50	; 07h=Square Window L
	db #40, #40, #40, #40, #40, #40, #50, #50	; 08h=Square Window R
	db #00, #00, #00, #60, #80, #90, #10, #B0	; 09h=Impaler
	db #E7, #F5, #F5, #F5, #F5, #F5, #E5, #14	; 0Ah=Down arrow button1
	db #00, #E5, #F5, #F5, #F5, #F5, #E5, #14	; 0Bh=Down arrow button2
	db #40, #40, #40, #40, #40, #50, #50, #50	; 0Ch=Round Window, BL 
	db #40, #40, #40, #40, #40, #50, #50, #50	; 0Dh=Round Window, BR
	db #00, #00, #10, #91, #10, #81, #10, #00	; 0Eh=Small brick
	db #00, #10, #91, #81, #10, #81, #41, #10	; 0Fh=Medium brick
	db #00, #91, #81, #41, #11, #91, #81, #41	; 10h=Normalbrick,center
	db #00, #A1, #C1, #31, #11, #50, #50, #00	; 11h=Left torch
	db #00, #71, #21, #C1, #11, #50, #11, #00	; 12h=Bridge
	db #00, #A1, #C1, #31, #11, #50, #50, #00	; 13h=Right torch
	db #10, #EF, #71, #71, #41, #10, #10, #10	; 14h=Wall fire bowl
	db #80, #41, #71, #7C, #11, #94, #84, #41	; 15h=Land mine inactive
	db #E7, #F5, #F5, #F5, #F5, #F5, #E5, #14 ;16h=Left arrow button unused
	db #E7, #F5, #F5, #F5, #F5, #F5, #E5, #14 ;17h=Right arrow button unused
	db #11, #91, #81, #41, #11, #91, #81, #41	; 18h=NormalBrick,border
	db #00, #00, #31, #C1, #51, #11, #00, #00	; 19h=Bridge builder
	db #E5, #E4, #E4, #E4, #E4, #E4, #54, #14 ;1Ah=Left arrow button used
	db #E5, #E4, #E4, #E4, #E4, #E4, #54, #14 ;1Bh=Right arrow button used
	db #B0, #51, #A1, #72, #11, #94, #84, #41	; 1Ch=Land mine active
	db #10, #EF, #71, #71, #41, #10, #C1, #21	; 1Dh=Floor fire bowl
	db #F0, #F0, #F0, #F0, #F0, #F0, #F0, #F0	; 1Eh=Hero icon
	db #10, #B1, #E1, #50, #10, #B1, #E1, #50	; 1Fh=Concrete brick
	DB 240, 240, 240, 240, 240, 240, 240, 240	; 20h=White space
	DB 176, 176, 176, 176, 176, 176, 176, 176	; 21h=Yellow space
	DB 128, 128, 128, 128, 128, 128, 128, 128	; 22h=Red space

;	db #21, #21, #21, #21, #21, #21, #21, #21	; Green Test color
;	db #D1, #D1, #D1, #D1, #D1, #D1, #D1, #D1	; Purple Test color
tilesColors2:
	DB 16, 16, 16, 16, 16, 0, 16, 16
	db #B0, #B0, #B0, #B0, #B0, #F0, #B0, #A0	; Gold bars 
	db #E0, #F1, #F1, #E0, #E0, #F1, #F1, #E0	; white ladder, stg2
	db #D0, #90, #90, #D0, #D0, #D0, #DB, #5A	; 03h=Fire
	db #E0, #E0, #F0, #F0, #50, #50, #E0, #E0	; Pickaxe
	db #D0, #D0, #D0, #D0, #D0, #D0, #E0, #E0	; 05h=Round Window, TL
	db #D0, #D0, #D0, #D0, #D0, #D0, #E0, #E0	; 06h=Round Window, TR
	db #D0, #D0, #D0, #D0, #D0, #D0, #E0, #E0	; 07h=Square Window L
	db #D0, #D0, #D0, #D0, #D0, #D0, #E0, #E0	; 08h=Square Window R
	db #00, #00, #00, #60, #80, #90, #10, #B0	; 09h=Impaler
	db #E7, #F5, #F5, #F5, #F5, #F5, #E5, #14	; 0Ah=Down arrow button1
	db #00, #E5, #F5, #F5, #F5, #F5, #E5, #14	; 0Bh=Down arrow button2
	db #D0, #D0, #D0, #D0, #D0, #E0, #E0, #E0	; 0Ch=Round Window, BL 
	db #D0, #D0, #D0, #D0, #D0, #E0, #E0, #E0	; 0Dh=Round Window, BR
	db #00, #00, #10, #71, #10, #21, #10, #00	; 0Eh=Small brick
	db #00, #10, #71, #21, #10, #21, #51, #10	; 0Fh=Medium brick
	db #00, #71, #51, #21, #11, #71, #51, #21	; 10h=NormalBrick,center
	db #00, #B1, #D1, #91, #11, #60, #80, #00	; Left torch
	db #00, #91, #D1, #D1, #11, #61, #11, #00 	; 12h=Bridge 
	db #00, #B1, #D1, #91, #11, #60, #80, #00	; Right torch
	db #10, #EF, #71, #71, #41, #10, #10, #10	; 14h=Wall fire bowl
	db #80, #41, #71, #7C, #11, #74, #54, #24	; Land mine inactive
	db #E7, #F5, #F5, #F5, #F5, #F5, #E5, #14 ; Left arrow button unused
	db #E7, #F5, #F5, #F5, #F5, #F5, #E5, #14 ; Right arrow button unused
	db #11, #71, #51, #21, #11, #71, #51, #21	; 18h=NormalBrick,border
	db #00, #00, #91, #D1, #61, #11, #00, #00 	; 19h=Bridge builder
	db #E5, #E4, #E4, #E4, #E4, #E4, #54, #14 ; Left arrow button used
	db #E5, #E4, #E4, #E4, #E4, #E4, #54, #14 ; Right arrow button used
	db #B0, #51, #A1, #72, #11, #74, #54, #24	; Land mine active
	db #10, #EF, #71, #71, #41, #10, #C1, #71	; 1Dh=Floor fire bowl
	db #F0, #F0, #F0, #F0, #F0, #F0, #F0, #F0	; 1Eh=Hero icon
	db #10, #81, #D1, #91, #10, #81, #D1, #91	; 1Fh=Concrete brick
	DB 240, 240, 240, 240, 240, 240, 240, 240
	DB 176, 176, 176, 176, 176, 176, 176, 176
	DB 128, 128, 128, 128, 128, 128, 128, 128
tilesColors3:
	DB 16, 16, 16, 16, 16, 0, 16, 16
	db #B0, #B0, #B0, #B0, #B0, #F0, #B0, #A0	; Gold bars 
	db #30, #F1, #F1, #30, #30, #F1, #31, #30	; white ladder, stg3
	db #60, #D0, #D0, #60, #60, #60, #8B, #6A	; 03h=Fire
	db #E0, #E0, #F0, #F0, #50, #50, #E0, #E0	; Pickaxe
	db #60, #60, #60, #60, #60, #60, #90, #90	; 05h=Round Window, TL
	db #60, #60, #60, #60, #60, #60, #90, #90	; 06h=Round Window, TR
	db #60, #60, #60, #60, #60, #60, #90, #90	; 07h=Square Window L
	db #60, #60, #60, #60, #60, #60, #90, #90	; 08h=Square Window R
	db #00, #00, #00, #60, #80, #90, #10, #B0	; 09h=Impaler
	db #E7, #F5, #F5, #F5, #F5, #F5, #E5, #14	; 0Ah=Down arrow button1
	db #00, #E5, #F5, #F5, #F5, #F5, #E5, #14	; 0Bh=Down arrow button2
	db #60, #60, #60, #60, #60, #90, #90, #90	; 0Ch=Round Window, BL 
	db #60, #60, #60, #60, #60, #90, #90, #90	; 0Dh=Round Window, BR
	db #00, #00, #10, #F1, #10, #71, #10, #10	; 0Eh=3.Small brick
	db #00, #10, #F1, #71, #11, #F1, #51, #11	; 0Fh=4.Medium brick
	db #00, #71, #F1, #51, #11, #71, #F1, #51	; 10h=NormalBrick,center
	db #00, #81, #61, #D1, #11, #40, #40, #00	; Left torch
	db #00, #D1, #61, #61, #11, #41, #11, #00	; 12h=Bridge 
	db #00, #81, #61, #D1, #11, #40, #40, #00	; Right torch
	db #10, #EF, #31, #31, #41, #10, #10, #10	; 14h=Wall fire bowl
	db #80, #41, #71, #7C, #11, #74, #F4, #54	; Land mine inactive
	db #E7, #F5, #F5, #F5, #F5, #F5, #E5, #14 ; Left arrow button unused
	db #E7, #F5, #F5, #F5, #F5, #F5, #E5, #14 ; Right arrow button unused
	db #11, #71, #F1, #51, #11, #71, #F1, #51	; 18h=NormalBrick,border
	db #00, #00, #D1, #61, #41, #11, #00, #00	; 19h=Bridge builder
	db #E5, #E4, #E4, #E4, #E4, #E4, #54, #14 ; Left arrow button used
	db #E5, #E4, #E4, #E4, #E4, #E4, #54, #14 ; Right arrow button used
	db #B0, #51, #A1, #72, #11, #74, #F4, #54	; Land mine active
	db #10, #EF, #31, #31, #C1, #10, #41, #51	; 1Dh=Floor fire bowl
	db #F0, #F0, #F0, #F0, #F0, #F0, #F0, #F0	; 1Eh=Hero icon
	db #10, #B1, #E1, #50, #10, #B1, #E1, #50	; 1Fh=Concrete brick
	DB 240, 240, 240, 240, 240, 240, 240, 240
	DB 176, 176, 176, 176, 176, 176, 176, 176
	DB 128, 128, 128, 128, 128, 128, 128, 128	

	display /d,"tile bitmaps: ",$-tilesPixles
font:
	INCBIN	"gfx\font.fnt.mlz"
.end:
fontColors:	
	db 15*16+1,15*16+1,15*16+1,14*16+1,14*16+1,14*16+1,5*16+1,5*16+1




