#!/bin/bash

#Config
MEGALZ="../_utils/macOS/MegaLZ"
OUTDIR="."

#Initialization
IFS=$(printf "\t")
FILELIST="$*"

#---------------------------------------------------------------------------
function compress {
	local SC2FILE="$1"
	local SC2NAME=$(basename "$1" | cut -f1 -d.)
	local CPTFILE="${SC2NAME}.cpt.mlz"
	local CLRFILE="${SC2NAME}.clr.mlz"
	local TMPFILE=$(mktemp)

	dd if=${SC2FILE} of=${TMPFILE} bs=1 skip=7 count=6144
	${MEGALZ} ${TMPFILE} ${OUTDIR}/${CPTFILE}
	
	dd if=${SC2FILE} of=${TMPFILE} bs=1 skip=8199 count=6144
	${MEGALZ} ${TMPFILE} ${OUTDIR}/${CLRFILE}
	rm ${TMPFILE}

}
#============================================================================

for FILE in ${FILELIST} ;do
	echo "Processing ${FILE}"
	compress "${FILE}"
done

