;bridge system
doBridge2:
    ;call doFire
    ld a,TILE_BRIDGE : ld de,(bridgePosition)
	jp	fillTile
    ;ld (topTile2+1),a : ld (topTile2Coords+1),de
;    jp playMusic

doBridge:
	call	doGameplay
    ld a,(bridgeDelay) : xor 1 : ld (bridgeDelay),a
;    or a
    jr nz,doBridge2

    call playMostSound

    ld a,(bridgeDirection)
    cp FACE_LEFT
    jr nz,1f
    ;left bridge
    ld de,(bridgePosition) : dec e : ld (bridgePosition),de
    ld hl,(bridgeMapPosition) : dec hl : ld (bridgeMapPosition),hl
    
	ld	a,(hl)
	or	a
	jr	z,2F
	cp	TILE_FIRE
	jr	z,2F		; Clear fire
	cp	TILE_RED	; Build over bridge builders
	jr	z,2F
	cp	TILE_PICKAXE+1
	jr	c,10F		; Stop at gold, ladder and pickaxe
	cp	TILE_SOLID	; Build over windows, teleporter, small bricks
	jr	c,2f
    ;ok - end of bridge build
10:	ld a,GS_GAMEPLAY : ld (gameState),a
	ret
2:
    ld (hl),TILE_BRIDGE
    ld a,TILE_RED	; : ld de,(bridgePosition)
    jp	fillTile
1:
 ;right bridge
    ld de,(bridgePosition) : inc e : ld (bridgePosition),de
    ld hl,(bridgeMapPosition) : inc hl : ld (bridgeMapPosition),hl

	ld	a,(hl)
	or	a
	jr	z,2F
	cp	TILE_FIRE
	jr	z,2F		; Clear fire
	cp	TILE_RED	; Build over bridge builders
	jr	z,2F
	cp	TILE_PICKAXE+1
	jr	c,10F		; Stop at gold, ladder and pickaxe
	cp	TILE_SOLID	; Build over windows, teleporter, small bricks
	jr	c,2f
    ;ok - end of bridge build
10:    ld a,GS_GAMEPLAY : ld (gameState),a
	ret
2:
    ld (hl),TILE_BRIDGE
    ld a,TILE_RED	; : ld de,(bridgePosition)
    jp	fillTile

;position de (coords)
;         hl (addr in map)
;         a - direction
initBridge:
    ld (bridgeDirection),a
    ld (bridgePosition),de
    ;ld bc,32 : add hl,bc
    ld (bridgeMapPosition),hl
    ld a,1: ld (bridgeDelay),a
    ; switch game state to bridge building
    ld a,GS_BRIDGE : ld (gameState),a
    ret

